#include <stdio.h>

#define MAX 30

/* Uma funcao  que encontra o menor valor em um  array entre os indices
 * "a" e "b" (inclusive)
 */
int menor_indice(int v[], int a, int b)
{
  int i;
  int menor;

  menor = a;
  i = a+1;

  while (i <= b)
  {
    if ( v[i] < v[menor] )
    {
      menor = i;
    }
    i += 1;
  }
  
  return menor;
}


/* Uma funcao que troca os valores entre dois elementos de um array */
void troca_v( int vet[], int i, int j)
{
  int aux;
   
  aux = vet[i];
  vet[i] = vet[j];
  vet[j] = aux;
}

/* Uma funcao que ordena um array de inteiros usando o algoritmo de
 * Bubble sort.
 * Entrada:  array a ser ordenado -- lista[]
 *           tamanho do array -- tam
 */
void ordena(int lista[], int tam)
{
  int i,j,
      menor;    /* indice do menor valor no array entre i e tam-1 */
  
  i = 0;
  while (i < tam)
  {
    menor = menor_indice( lista, i, tam-1 );
    troca_v( lista, i, menor );
    i += 1;
  }
}

int ler_vetor(int v[])
{
  int i=0;

  scanf("%d", &v[i]);
  for (i=1; i < MAX && v[i-1]; i++)
    {
      scanf("%d", &v[i]);
    }

  return (i-1);
}

main ()
{
  int v1[MAX], v2[MAX], t1, t2, i, j;

  printf("V1: ");
  t1 = ler_vetor (v1);
  printf("V2: ");
  t2 = ler_vetor (v2);

  ordena(v1, t1);
  ordena(v2, t2);

  printf("\nSaida: ");
  i = j = 0;
  while (i < t1 || j < t2)
    {
      if (t1 == i && i >= j) 
	printf("%d ", v2[j++]);
      else if (t2 == j && j >= i) 
	printf("%d ", v1[i++]);
      else if (v1[i] <= v2[j])
	printf("%d ", v1[i++]);
      else
	printf("%d ", v2[j++]);
      
    }
  printf("\n");
}
